Release v2021.09.20-4

Released on September 24, 2021

New Features

  • Custom host preflight checks can be declared in the kURL installer spec.
  • Added KOTS add-on version 1.52.0.

Bug Fixes

  • Fixed an issue that prevented Rook add-on preflight checks from executing.

Release v2021.09.20-0

Released on September 20, 2021

Bug Fixes

  • Fixed a bug that could cause the EKCO addon to fail when mistakenly trying to deploy the PodImageOverrides mutating webhook configuration.

Release v2021.09.17-0

Released on September 17, 2021

New Features

  • Added Kubernetes versions 1.21.5, 1.21.4, 1.21.3, 1.20.11, 1.20.10, and 1.19.15.

Release v2021.09.16-0

Released on September 16, 2021

New Features

Release v2021.09.15-0

Released on September 15, 2021

New Features

  • Added EKCO add-on version 0.12.0.
  • Host preflights check disk space in /opt/replicated/rook with Rook 1.0.4.

Improvements

  • Host preflight block device checks run for all versions of Rook 1.4+.

Release v2021.09.09-0

Released on September 09, 2021

New Features

Release v2021.08.27-0

Released on August 27, 2021

New Features

  • Clusters with containerd enabled will be automatically migrated from docker when docker is detected. Previously containerd would not be installed when docker was detected.

Bug Fixes

  • Fixed an issue that prevented the internal load balancer from being started on remote nodes when not explicitly enabled.
  • Fixed an issue that could cause the minio add-on to wait forever when creating a PVC.

Release v2021.08.20-0

Released on August 20, 2021

New Features

  • Added a new parameter to the MinIO addon, claimSize. This defaults to 10Gi and allows setting the size of the MinIO PVC.
  • Added KOTS add-on version 1.50.1.

Release v2021.08.16-0

Released on August 16, 2021

New Features

Bug Fixes

  • Docker preflights will no longer run when docker is not configured within kURL.

Release v2021.08.09-0

Released on August 09, 2021

New Features

Bug Fixes

  • The Rook add-on block storage flag is no longer required to be set for version 1.4.3+. Instead, it is assumed to be set to true for these versions.